Page MenuHomePhabricator

Drop backup tables for old schema changes (aka "x_pre_y" tables)
Closed, ResolvedPublic

Description

I just came across enwikisource.logging_pre_1_10, which has over 130k rows
It wouldn't surprise me if there's similar tables on other wikis

Can we have a look for any tables with "pre_" in the name, as those would be backup tables that can go too

Deletion progress:

  • s2
    • eqiad
    • codfw
  • s3
    • eqiad
    • codfw
  • s4
    • eqiad
    • codfw
  • s5
    • eqiad
    • codfw
  • s6
    • eqiad
    • codfw
  • s7
    • eqiad
    • codfw

Event Timeline

Reedy created this task.Nov 17 2015, 4:17 PM
Reedy raised the priority of this task from to Medium.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2015, 4:17 PM

For the record, they exist on:

s2
s3
s4
s5
s6
s7

jcrespo added a subscriber: jcrespo.May 5 2017, 1:16 PM

We should backup the backup, I normally archive them for some weeks on es2001.

Marostegui moved this task from Triage to Backlog on the DBA board.May 31 2017, 7:26 AM

I have backuped the existing tables at dbstore1001:

root@dbstore1001:/srv/tmp/T118859# pwd
/srv/tmp/T118859
root@dbstore1001:/srv/tmp/T118859# ls -lh
total 997M
-rw-r--r-- 1 root root 463M Jul 24 07:45 s2.tar.gz
-rw-r--r-- 1 root root 101M Jul 24 07:50 s3.tar.gz
-rw-r--r-- 1 root root 177M Jul 24 07:54 s4.tar.gz
-rw-r--r-- 1 root root  82M Jul 24 07:56 s5.tar.gz
-rw-r--r-- 1 root root  78M Jul 24 08:00 s6.tar.gz
-rw-r--r-- 1 root root  98M Jul 24 08:01 s7.tar.gz
Krinkle renamed this task from Drop pre_ tables to Drop backup tables for old schema changes (aka "x_pre_y" tables).Mar 27 2018, 11:59 PM

The tables are backuped at: dbstore1001:/srv/backups/tmp/T118859

Marostegui updated the task description. (Show Details)Apr 23 2018, 6:24 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-23T06:26:57Z] <marostegui> Remove logging_pre_1_10 from codfw - T118859

Marostegui updated the task description. (Show Details)Apr 23 2018, 6:33 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-23T07:47:25Z] <marostegui> Drop table logging_pre_1_10 in s6 - T118859

Marostegui updated the task description. (Show Details)Apr 23 2018, 7:47 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-23T07:50:08Z] <marostegui> Drop table logging_pre_1_10 in s2 - T118859

Marostegui updated the task description. (Show Details)Apr 23 2018, 8:11 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-23T08:13:02Z] <marostegui> Drop table logging_pre_1_10 in s7 - T118859

Marostegui updated the task description. (Show Details)Apr 23 2018, 8:27 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-23T08:30:07Z] <marostegui> Drop table logging_pre_1_10 in s4 - T118859

Marostegui updated the task description. (Show Details)Apr 23 2018, 8:30 AM
Marostegui updated the task description. (Show Details)Apr 23 2018, 8:46 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-23T08:47:01Z] <marostegui> Dropped table logging_pre_1_10 in s3 - T118859

Mentioned in SAL (#wikimedia-operations) [2018-04-23T08:47:16Z] <marostegui> Drop table logging_pre_1_10 in s5 - T118859

Marostegui closed this task as Resolved.Apr 23 2018, 8:48 AM
Marostegui claimed this task.
Marostegui updated the task description. (Show Details)

All done.
Backups are at: T118859#4148693